package domain

type AlibabaHmMarketingFullrangeAddexchangeitemMarketResult struct {
	/*
	   结果信息     */
	Message *string `json:"message,omitempty" `

	/*
	   错误编码     */
	ErrorCode *string `json:"error_code,omitempty" `

	/*
	   data     */
	Data *AlibabaHmMarketingFullrangeAddexchangeitemItemStairSku `json:"data,omitempty" `

	/*
	   success     */
	Success *bool `json:"success,omitempty" `
}

func (s *AlibabaHmMarketingFullrangeAddexchangeitemMarketResult) SetMessage(v string) *AlibabaHmMarketingFullrangeAddexchangeitemMarketResult {
	s.Message = &v
	return s
}
func (s *AlibabaHmMarketingFullrangeAddexchangeitemMarketResult) SetErrorCode(v string) *AlibabaHmMarketingFullrangeAddexchangeitemMarketResult {
	s.ErrorCode = &v
	return s
}
func (s *AlibabaHmMarketingFullrangeAddexchangeitemMarketResult) SetData(v AlibabaHmMarketingFullrangeAddexchangeitemItemStairSku) *AlibabaHmMarketingFullrangeAddexchangeitemMarketResult {
	s.Data = &v
	return s
}
func (s *AlibabaHmMarketingFullrangeAddexchangeitemMarketResult) SetSuccess(v bool) *AlibabaHmMarketingFullrangeAddexchangeitemMarketResult {
	s.Success = &v
	return s
}
